=== modified file 'ChangeLog'
--- ChangeLog	2006-08-15 17:37:54 +0000
+++ ChangeLog	2006-08-15 18:59:46 +0000
@@ -1,5 +1,9 @@
 2006-08-15  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
 
+    * olive.glade: added View menu
+    * olive/frontend/gtk/handler.py: implement the signal handlers
+    * olive/frontend/gtk/__init__.py: connect the signals
+    * TODO: some items marked as [DONE]
     * icons/olive-gtk.png: added application icon
     * olive-gtk.desktop: added desktop entry
     * setup.py: modified respectively

=== modified file 'TODO'
--- TODO	2006-08-13 11:02:48 +0000
+++ TODO	2006-08-15 18:59:46 +0000
@@ -2,18 +2,20 @@
 -------------------
 
  - Be able to install into other locations than /usr (LarstiQ)
- - Investigate TortoiseSVN-like commit/add dialogs (LarstiQ)
-   http://samba.org/~jelmer/bzr/gcommit.png [DONE]
- - HIGify the interface (Matthieu Moy)
- - Consistent placement of buttons (Matthieu Moy)
- - Display the count of pushed revisions on push (phanatic) [DONE]
+[DONE] Investigate TortoiseSVN-like commit/add dialogs (LarstiQ)
+   http://samba.org/~jelmer/bzr/gcommit.png
+[DONE] HIGify the interface (Matthieu Moy)
+[DONE] Consistent placement of buttons (Matthieu Moy)
+[DONE] Display the count of pushed revisions on push (phanatic)
  - Display the commit file selector as a tree (so whole directories can be
    toggled) (j-a-meinel)
  - "Probe location" button on the Push dialog (test write access, etc.) (ddaa)
- - Save and restore main window position and size (phanatic)
+[DONE] Save and restore main window position and size (phanatic)
  - Real sensitive context menu - e.g. options are grey if not a branch
    (phanatic)
  - Implement 'bzr missing' (phanatic)
  - Implement 'bzr uncommit' (phanatic)
  - Implement bundle handling - at least creating them (phanatic)
  - Testing on Windows platform (phanatic)
+ - i18n/l10n with gettext (phanatic)
+ - Bookmarks should have a 'title' attribute (phanatic)

=== modified file 'olive.glade'
--- olive.glade	2006-08-13 11:02:48 +0000
+++ olive.glade	2006-08-15 18:59:46 +0000
@@ -52,7 +52,7 @@
 		      <signal name="activate" handler="on_menuitem_add_files_activate" last_modification_time="Fri, 21 Jul 2006 11:38:39 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image152">
+			<widget class="GtkImage" id="image214">
 			  <property name="visible">True</property>
 			  <property name="stock">gtk-add</property>
 			  <property name="icon_size">1</property>
@@ -73,7 +73,7 @@
 		      <signal name="activate" handler="on_menuitem_remove_file_activate" last_modification_time="Fri, 21 Jul 2006 13:54:07 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image153">
+			<widget class="GtkImage" id="image215">
 			  <property name="visible">True</property>
 			  <property name="stock">gtk-remove</property>
 			  <property name="icon_size">1</property>
@@ -145,6 +145,45 @@
 	  </child>
 
 	  <child>
+	    <widget class="GtkMenuItem" id="menuitem_view">
+	      <property name="visible">True</property>
+	      <property name="label" translatable="yes">_View</property>
+	      <property name="use_underline">True</property>
+	      <signal name="activate" handler="on_menuitem_view_activate" last_modification_time="Tue, 15 Aug 2006 18:14:04 GMT"/>
+
+	      <child>
+		<widget class="GtkMenu" id="menuitem_view_menu">
+
+		  <child>
+		    <widget class="GtkCheckMenuItem" id="menuitem_view_show_hidden_files">
+		      <property name="visible">True</property>
+		      <property name="label" translatable="yes">Show _hidden files</property>
+		      <property name="use_underline">True</property>
+		      <property name="active">False</property>
+		      <signal name="activate" handler="on_menuitem_view_show_hidden_files_activate" last_modification_time="Tue, 15 Aug 2006 18:13:36 GMT"/>
+		    </widget>
+		  </child>
+
+		  <child>
+		    <widget class="GtkSeparatorMenuItem" id="separator_view1">
+		      <property name="visible">True</property>
+		    </widget>
+		  </child>
+
+		  <child>
+		    <widget class="GtkMenuItem" id="menuitem_view_refresh">
+		      <property name="visible">True</property>
+		      <property name="label" translatable="yes">_Refresh</property>
+		      <property name="use_underline">True</property>
+		      <signal name="activate" handler="on_menuitem_view_refresh_activate" last_modification_time="Tue, 15 Aug 2006 18:15:01 GMT"/>
+		    </widget>
+		  </child>
+		</widget>
+	      </child>
+	    </widget>
+	  </child>
+
+	  <child>
 	    <widget class="GtkMenuItem" id="menuitem_branch">
 	      <property name="visible">True</property>
 	      <property name="label" translatable="yes">_Branch</property>
@@ -194,7 +233,7 @@
 		      <signal name="activate" handler="on_menuitem_branch_pull_activate" last_modification_time="Mon, 17 Jul 2006 08:52:48 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image154">
+			<widget class="GtkImage" id="image216">
 			  <property name="visible">True</property>
 			  <property name="pixbuf">pull16.png</property>
 			  <property name="xalign">0.5</property>
@@ -214,7 +253,7 @@
 		      <signal name="activate" handler="on_menuitem_branch_push_activate" last_modification_time="Mon, 17 Jul 2006 08:52:48 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image155">
+			<widget class="GtkImage" id="image217">
 			  <property name="visible">True</property>
 			  <property name="pixbuf">push16.png</property>
 			  <property name="xalign">0.5</property>
@@ -240,7 +279,7 @@
 		      <signal name="activate" handler="on_menuitem_branch_commit_activate" last_modification_time="Mon, 17 Jul 2006 08:53:37 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image156">
+			<widget class="GtkImage" id="image218">
 			  <property name="visible">True</property>
 			  <property name="pixbuf">commit16.png</property>
 			  <property name="xalign">0.5</property>
@@ -288,7 +327,7 @@
 		      <signal name="activate" handler="on_menuitem_stats_diff_activate" last_modification_time="Thu, 03 Aug 2006 11:35:30 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image157">
+			<widget class="GtkImage" id="image219">
 			  <property name="visible">True</property>
 			  <property name="pixbuf">diff16.png</property>
 			  <property name="xalign">0.5</property>
@@ -308,7 +347,7 @@
 		      <signal name="activate" handler="on_menuitem_stats_log_activate" last_modification_time="Thu, 03 Aug 2006 11:35:43 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image158">
+			<widget class="GtkImage" id="image220">
 			  <property name="visible">True</property>
 			  <property name="pixbuf">log16.png</property>
 			  <property name="xalign">0.5</property>
@@ -371,15 +410,15 @@
 	  <property name="show_arrow">True</property>
 
 	  <child>
-	    <widget class="GtkToolButton" id="toolbutton_update">
+	    <widget class="GtkToolButton" id="toolbutton_refresh">
 	      <property name="visible">True</property>
-	      <property name="label" translatable="yes">Update</property>
+	      <property name="label" translatable="yes">Refresh</property>
 	      <property name="use_underline">True</property>
 	      <property name="icon">refresh.png</property>
 	      <property name="visible_horizontal">True</property>
 	      <property name="visible_vertical">True</property>
 	      <property name="is_important">False</property>
-	      <signal name="clicked" handler="on_toolbutton_update_clicked" last_modification_time="Mon, 17 Jul 2006 09:04:16 GMT"/>
+	      <signal name="clicked" handler="on_toolbutton_refresh_clicked" last_modification_time="Tue, 15 Aug 2006 18:08:06 GMT"/>
 	    </widget>
 	    <packing>
 	      <property name="expand">False</property>

=== modified file 'olive/frontend/gtk/__init__.py'
--- olive/frontend/gtk/__init__.py	2006-08-10 17:25:30 +0000
+++ olive/frontend/gtk/__init__.py	2006-08-15 18:59:46 +0000
@@ -50,7 +50,6 @@
         self.toplevel = gtk.glade.XML(self.gladefile, 'window_main')
         
         self.window = self.toplevel.get_widget('window_main')
-        self.window.show_all()
         
         self.pref = OlivePreferences()
         self.comm = OliveCommunicator(self.toplevel, self.pref)
@@ -66,6 +65,8 @@
                 "on_menuitem_file_make_directory_activate": handler.on_menuitem_file_make_directory_activate,
                 "on_menuitem_file_move_activate": handler.on_menuitem_file_move_activate,
                 "on_menuitem_file_rename_activate": handler.on_menuitem_file_rename_activate,
+                "on_menuitem_view_show_hidden_files_activate": handler.on_menuitem_view_show_hidden_files_activate,
+                "on_menuitem_view_refresh_activate": handler.on_menuitem_view_refresh_activate,
                 "on_menuitem_branch_initialize_activate": handler.on_menuitem_branch_initialize_activate,
                 "on_menuitem_branch_get_activate": handler.on_menuitem_branch_get_activate,
                 "on_menuitem_branch_checkout_activate": handler.on_menuitem_branch_checkout_activate,
@@ -76,7 +77,7 @@
                 "on_menuitem_stats_diff_activate": handler.on_menuitem_stats_diff_activate,
                 "on_menuitem_stats_log_activate": handler.on_menuitem_stats_log_activate,
                 "on_menuitem_stats_infos_activate": handler.on_menuitem_stats_infos_activate,
-                "on_toolbutton_update_clicked": handler.not_implemented,
+                "on_toolbutton_refresh_clicked": handler.on_menuitem_view_refresh_activate,
                 "on_toolbutton_commit_clicked": handler.on_menuitem_branch_commit_activate,
                 "on_toolbutton_pull_clicked": handler.on_menuitem_branch_pull_activate,
                 "on_toolbutton_push_clicked": handler.on_menuitem_branch_push_activate,
@@ -99,11 +100,17 @@
         pos = self.pref.get_preference('paned_position', 'int')
         self.comm.hpaned_main.set_position(pos)
         
+        # Now we can show the window
+        self.window.show_all()
+        
         # Load default data into the panels
         self.treeview_left = self.toplevel.get_widget('treeview_left')
         self.treeview_right = self.toplevel.get_widget('treeview_right')
         self._load_left()
         self._load_right()
+
+        # Apply menu state
+        self.comm.menuitem_view_show_hidden_files.set_active(self.pref.get_preference('dotted_files', 'bool'))
         
     def _load_left(self):
         """ Load data into the left panel. (Bookmarks) """
@@ -151,7 +158,7 @@
         
         # Fill the appropriate lists
         path = self.comm.get_path()
-        dotted_files = self.pref.get_preference('dotted_files')
+        dotted_files = self.pref.get_preference('dotted_files', 'bool')
         for item in os.listdir(path):
             if not dotted_files and item[0] == '.':
                 continue
@@ -212,6 +219,8 @@
         # Get the TreeViews
         self.treeview_left = self.toplevel.get_widget('treeview_left')
         self.treeview_right = self.toplevel.get_widget('treeview_right')
+        # Get some important menu items
+        self.menuitem_view_show_hidden_files = self.toplevel.get_widget('menuitem_view_show_hidden_files')
     
     def set_path(self, path):
         """ Set the current path while browsing the directories. """
@@ -296,7 +305,7 @@
         files = []
         
         # Fill the appropriate lists
-        dotted_files = self.pref.get_preference('dotted_files')
+        dotted_files = self.pref.get_preference('dotted_files', 'bool')
         for item in os.listdir(path):
             if not dotted_files and item[0] == '.':
                 continue

=== modified file 'olive/frontend/gtk/handler.py'
--- olive/frontend/gtk/handler.py	2006-08-13 14:08:06 +0000
+++ olive/frontend/gtk/handler.py	2006-08-15 18:59:46 +0000
@@ -162,6 +162,26 @@
         log = OliveLog(self.gladefile, self.comm, self.dialog)
         log.display()
     
+    def on_menuitem_view_refresh_activate(self, widget):
+        """ View/Refresh menu handler. """
+        # Refresh the left pane
+        self.comm.refresh_left()
+        # Refresh the right pane
+        self.comm.refresh_right()
+    
+    def on_menuitem_view_show_hidden_files_activate(self, widget):
+        """ View/Show hidden files menu handler. """
+        if widget.get_active():
+            # Show hidden files
+            self.comm.pref.set_preference('dotted_files', True)
+            self.comm.pref.refresh()
+            self.comm.refresh_right()
+        else:
+            # Do not show hidden files
+            self.comm.pref.set_preference('dotted_files', False)
+            self.comm.pref.refresh()
+            self.comm.refresh_right()
+
     def on_treeview_left_button_press_event(self, widget, event):
         """ Occurs when somebody right-clicks in the bookmark list. """
         if event.button == 3:

